IncludeHandler (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.ajax4jsf.taglib.html.facelets.IncludeHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.facelets
Class IncludeHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.ajax4jsf.taglib.html.facelets.IncludeHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class IncludeHandler

extends com.sun.facelets.tag.jsf.ComponentHandler

Author:
  shura

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`IncludeHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`protected void` | `applyNextHandler(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent component)`
`protected void` | `onComponentCreated(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, createComponent, createMetaRuleset, getFacetName, getId, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncludeHandler

    public IncludeHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

Method Detail

### onComponentCreated

    protected void onComponentCreated(com.sun.facelets.FaceletContext ctx,
                                      javax.faces.component.UIComponent c,
                                      javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentCreated` in class `com.sun.facelets.tag.jsf.ComponentHandler`

### applyNextHandler

    protected void applyNextHandler(com.sun.facelets.FaceletContext ctx,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException,
                                    javax.faces.FacesException,
                                    javax.el.ELException

  Overrides:
    `applyNextHandler` in class `com.sun.facelets.tag.jsf.ComponentHandler`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.